com.amazonaws.services.cloudfront.model

## Class StreamingDistributionSummary

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.StreamingDistributionSummary

All Implemented Interfaces:
  Serializable, Cloneable

    public class StreamingDistributionSummary
    extends Object
    implements Serializable, Cloneable

A summary of the information for an Amazon CloudFront streaming distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StreamingDistributionSummary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamingDistributionSummary` `clone()`
`boolean` `equals(Object obj)`
`Aliases` `getAliases()` A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
`String` `getARN()` The ARN (Amazon Resource Name) for the streaming distribution.
`String` `getComment()` The comment originally specified when this distribution was created.
`String` `getDomainName()` The domain name corresponding to the distribution.
`Boolean` `getEnabled()` Whether the distribution is enabled to accept end user requests for content.
`String` `getId()` The identifier for the distribution.
`Date` `getLastModifiedTime()` The date and time the distribution was last modified.
`String` `getPriceClass()`
`S3Origin` `getS3Origin()` A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
`String` `getStatus()` Indicates the current status of the distribution.
`TrustedSigners` `getTrustedSigners()` A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content.
`int` `hashCode()`
`Boolean` `isEnabled()` Whether the distribution is enabled to accept end user requests for content.
`void` `setAliases(Aliases aliases)` A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
`void` `setARN(String aRN)` The ARN (Amazon Resource Name) for the streaming distribution.
`void` `setComment(String comment)` The comment originally specified when this distribution was created.
`void` `setDomainName(String domainName)` The domain name corresponding to the distribution.
`void` `setEnabled(Boolean enabled)` Whether the distribution is enabled to accept end user requests for content.
`void` `setId(String id)` The identifier for the distribution.
`void` `setLastModifiedTime(Date lastModifiedTime)` The date and time the distribution was last modified.
`void` `setPriceClass(PriceClass priceClass)`
`void` `setPriceClass(String priceClass)`
`void` `setS3Origin(S3Origin s3Origin)` A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
`void` `setStatus(String status)` Indicates the current status of the distribution.
`void` `setTrustedSigners(TrustedSigners trustedSigners)` A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StreamingDistributionSummary` `withAliases(Aliases aliases)` A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
`StreamingDistributionSummary` `withARN(String aRN)` The ARN (Amazon Resource Name) for the streaming distribution.
`StreamingDistributionSummary` `withComment(String comment)` The comment originally specified when this distribution was created.
`StreamingDistributionSummary` `withDomainName(String domainName)` The domain name corresponding to the distribution.
`StreamingDistributionSummary` `withEnabled(Boolean enabled)` Whether the distribution is enabled to accept end user requests for content.
`StreamingDistributionSummary` `withId(String id)` The identifier for the distribution.
`StreamingDistributionSummary` `withLastModifiedTime(Date lastModifiedTime)` The date and time the distribution was last modified.
`StreamingDistributionSummary` `withPriceClass(PriceClass priceClass)`
`StreamingDistributionSummary` `withPriceClass(String priceClass)`
`StreamingDistributionSummary` `withS3Origin(S3Origin s3Origin)` A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
`StreamingDistributionSummary` `withStatus(String status)` Indicates the current status of the distribution.
`StreamingDistributionSummary` `withTrustedSigners(TrustedSigners trustedSigners)` A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamingDistributionSummary

    public StreamingDistributionSummary()

### Method Detail

#### setId

    public void setId(String id)

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

#### getId

    public String getId()

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Returns:
  The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

#### withId

    public StreamingDistributionSummary withId(String id)

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setARN

    public void setARN(String aRN)

The ARN (Amazon Resource Name) for the streaming distribution. For example: `arn:aws:cloudfront::123456789012:streaming-distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Parameters:
  `aRN` - The ARN (Amazon Resource Name) for the streaming distribution. For example: `arn:aws:cloudfront::123456789012:streaming-distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

#### getARN

    public String getARN()

The ARN (Amazon Resource Name) for the streaming distribution. For example: `arn:aws:cloudfront::123456789012:streaming-distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Returns:
  The ARN (Amazon Resource Name) for the streaming distribution. For example: `arn:aws:cloudfront::123456789012:streaming-distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

#### withARN

    public StreamingDistributionSummary withARN(String aRN)

The ARN (Amazon Resource Name) for the streaming distribution. For example: `arn:aws:cloudfront::123456789012:streaming-distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Parameters:
  `aRN` - The ARN (Amazon Resource Name) for the streaming distribution. For example: `arn:aws:cloudfront::123456789012:streaming-distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

Indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated throughout the Amazon CloudFront system.

Parameters:
  `status` - Indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated throughout the Amazon CloudFront system.

#### getStatus

    public String getStatus()

Indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated throughout the Amazon CloudFront system.

Returns:
  Indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated throughout the Amazon CloudFront system.

#### withStatus

    public StreamingDistributionSummary withStatus(String status)

Indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated throughout the Amazon CloudFront system.

Parameters:
  `status` - Indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated throughout the Amazon CloudFront system.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModifiedTime

    public void setLastModifiedTime(Date lastModifiedTime)

The date and time the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time the distribution was last modified.

#### getLastModifiedTime

    public Date getLastModifiedTime()

The date and time the distribution was last modified.

Returns:
  The date and time the distribution was last modified.

#### withLastModifiedTime

    public StreamingDistributionSummary withLastModifiedTime(Date lastModifiedTime)

The date and time the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time the distribution was last modified.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDomainName

    public void setDomainName(String domainName)

The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Parameters:
  `domainName` - The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net` .

#### getDomainName

    public String getDomainName()

The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Returns:
  The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

#### withDomainName

    public StreamingDistributionSummary withDomainName(String domainName)

The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Parameters:
  `domainName` - The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net` .
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3Origin

    public void setS3Origin(S3Origin s3Origin)

A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

Parameters:
  `s3Origin` - A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

#### getS3Origin

    public S3Origin getS3Origin()

A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

Returns:
  A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

#### withS3Origin

    public StreamingDistributionSummary withS3Origin(S3Origin s3Origin)

A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

Parameters:
  `s3Origin` - A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAliases

    public void setAliases(Aliases aliases)

A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

Parameters:
  `aliases` - A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

#### getAliases

    public Aliases getAliases()

A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

Returns:
  A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

#### withAliases

    public StreamingDistributionSummary withAliases(Aliases aliases)

A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

Parameters:
  `aliases` - A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTrustedSigners

    public void setTrustedSigners(TrustedSigners trustedSigners)

A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content. If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items`.If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`. To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.

Parameters:
  `trustedSigners` - A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content. If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items` .If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`. To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.

#### getTrustedSigners

    public TrustedSigners getTrustedSigners()

A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content. If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items`.If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`. To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.

Returns:
  A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content. If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items` .If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`. To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.

#### withTrustedSigners

    public StreamingDistributionSummary withTrustedSigners(TrustedSigners trustedSigners)

A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content. If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items`.If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`. To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.

Parameters:
  `trustedSigners` - A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content. If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items` .If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`. To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComment

    public void setComment(String comment)

The comment originally specified when this distribution was created.

Parameters:
  `comment` - The comment originally specified when this distribution was created.

#### getComment

    public String getComment()

The comment originally specified when this distribution was created.

Returns:
  The comment originally specified when this distribution was created.

#### withComment

    public StreamingDistributionSummary withComment(String comment)

The comment originally specified when this distribution was created.

Parameters:
  `comment` - The comment originally specified when this distribution was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPriceClass

    public void setPriceClass(String priceClass)

Parameters:
  `priceClass` -
See Also:
  `PriceClass`

#### getPriceClass

    public String getPriceClass()

Returns:
See Also:
  `PriceClass`

#### withPriceClass

    public StreamingDistributionSummary withPriceClass(String priceClass)

Parameters:
  `priceClass` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PriceClass`

#### setPriceClass

    public void setPriceClass(PriceClass priceClass)

Parameters:
  `priceClass` -
See Also:
  `PriceClass`

#### withPriceClass

    public StreamingDistributionSummary withPriceClass(PriceClass priceClass)

Parameters:
  `priceClass` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PriceClass`

#### setEnabled

    public void setEnabled(Boolean enabled)

Whether the distribution is enabled to accept end user requests for content.

Parameters:
  `enabled` - Whether the distribution is enabled to accept end user requests for content.

#### getEnabled

    public Boolean getEnabled()

Whether the distribution is enabled to accept end user requests for content.

Returns:
  Whether the distribution is enabled to accept end user requests for content.

#### withEnabled

    public StreamingDistributionSummary withEnabled(Boolean enabled)

Whether the distribution is enabled to accept end user requests for content.

Parameters:
  `enabled` - Whether the distribution is enabled to accept end user requests for content.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Whether the distribution is enabled to accept end user requests for content.

Returns:
  Whether the distribution is enabled to accept end user requests for content.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StreamingDistributionSummary clone()

Overrides:
  `clone` in class `Object`